#ifndef MAIN_H
#define MAIN_H

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <gl\gl.h>										
#include <gl\glu.h>										
#include <gl\glaux.h>
#include <gl\glut.h>	

#include "sys_timer.h"

#pragma comment(lib, "opengl32.lib")
#pragma comment(lib, "glu32.lib")
#pragma comment(lib, "glut32.lib")
#pragma comment(lib, "glaux.lib")


static const int MAX_TEXTURES = 2;
typedef char String[255];
const String g_TextureFiles[] = {"Data/par3.bmp","Data/clouds2.bmp"};


static int SCREEN_WIDTH =  800;
static int SCREEN_HEIGHT = 600;
static int SCREEN_DEPTH = 16;
static char TITEL[] = "Tutorial 2 - Dynamische Partikel";

extern bool		g_bFullScreen;					
extern HWND		g_hWnd;									
extern RECT		g_rRect;								
extern HDC		g_hDC;									
extern HGLRC	g_hRC;									
extern HINSTANCE g_hInstance;					

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hprev, PSTR cmdline, int ishow);
LRESULT CALLBACK WinProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
WPARAM MainLoop();
void ChangeToFullScreen();
HWND CreateTheWindow(LPSTR strWindowName, int width, int height, DWORD dwStyle, bool bFullScreen, HINSTANCE hInstance);
bool bSetupPixelFormat(HDC hdc);
void ReSize(int width, int height);
void InitOpenGL(int width, int height);
void Init(HWND hWnd);
void RenderScene();
void Shutdown();
AUX_RGBImageRec *LoadBMP(char *Filename);
bool LoadGLTextures();

#endif